Skip to main content
WEBHOOK
vercel.resources.rotate_secrets
{
  "type": "<string>",
  "data": {
    "resource": {
      "id": "<string>"
    },
    "installation_id": "<string>",
    "vercel_request_body": "<unknown>"
  }
}

Payload Fields

resource
object
required
The resource whose secrets should be rotated.
installation_id
string
required
The Vercel integration configuration ID.
vercel_request_body
any
required
The raw request body from Vercel’s rotation request.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
string
required

The webhook event type.

Allowed value: "vercel.resources.rotate_secrets"
data
object
required

Response

200

Webhook received successfully.